=== debian/control ===
Source: bandwhich
Section: utils
Priority: optional
Maintainer: Michael Aaron Murphy <mmstick@pm.me>
Build-Depends:
  cargo (>=0.40),
  clang,
  debhelper-compat (=9),
  rustc (>=1.39)
Standards-Version: 4.4.1
Homepage: https://github.com/imsnif/bandwhich

Package: bandwhich
Architecture: any
Depends: ${misc:Depends}, ${shlib:Depends}
Description: Terminal bandwidth utilization tool
  Terminal bandwidth utilization tool
